
.modal-unico{
display:none;
position:fixed;
top:0;
left:0;
width:100%;
height:100%;
background:rgba(0,0,0,0.4);
z-index:9999;
align-items:center;
justify-content:center;
}

.modal-unico.show{
display:flex;
}

.modal-unico-content{
background:white;
border-radius:30px;
padding:35px;
width:550px;
max-width:95%;
max-height:90vh;
overflow-y:auto;
box-shadow:0 30px 60px rgba(0,0,0,0.3);
}


.modal-unico-header{
display:flex;
justify-content:space-between;
align-items:center;
margin-bottom:25px;
}

.close-modal-unico{
width:45px;
height:45px;
border-radius:50%;
background:#f1f5f9;
border:none;
cursor:pointer;
}

/* MODAL PRINCIPAL */

.modal-unico {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;

    display: none;
    align-items: center;
    justify-content: center;

    background: rgba(0,0,0,0.55);

    z-index: 999999 !important;
}

/* cuando el modal se abre */
.modal-unico.show{
    display: flex !important;
}

/* contenido del modal */
.modal-unico-content{
    position: relative;
    z-index: 1000000;
}